## net.i2p.crypto
Class DHSessionKeyBuilder.InvalidPublicParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.I2PException
                  net.i2p.crypto.DHSessionKeyBuilder.InvalidPublicParameterException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DHSessionKeyBuilder

    public static class DHSessionKeyBuilder.InvalidPublicParameterException

extends I2PException

See Also:
  Serialized Form

Constructor Summary
`DHSessionKeyBuilder.InvalidPublicParameterException()`
`DHSessionKeyBuilder.InvalidPublicParameterException(java.lang.String msg)`

Method Summary

Methods inherited from class net.i2p.I2PException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DHSessionKeyBuilder.InvalidPublicParameterException

    public DHSessionKeyBuilder.InvalidPublicParameterException()

### DHSessionKeyBuilder.InvalidPublicParameterException

    public DHSessionKeyBuilder.InvalidPublicParameterException(java.lang.String msg)